package org.kne.cloud.network.perf;

import java.io.EOFException;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.WritableByteChannel;

import org.kne.cloud.network.klalb.KLALBPacket;

public class TEST1Packet extends KLALBPacket {
private static final int HEADER_LENGTH=1;
	
	@Override
	public long getTotalLength() {
		return HEADER_LENGTH;
	}


	public TEST1Packet() {
		super(TEST1,HEADER_LENGTH);
	}


	public TEST1Packet(ByteBuffer bb) {
		super(bb,HEADER_LENGTH);
	}


	@Override
	public String toString() {
		return "TEST1";
	}
}
